﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Media3D;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Window1.xaml の相互作用ロジック
    /// </summary>
    public partial class Window1 : Window
    {
        Viewport3D vp;
        PerspectiveCamera cam;
        const Double camR = 10.0;

        public Window1()
        {
            InitializeComponent();

            vp = (Viewport3D)canvas1.Children[0];
            cam = (PerspectiveCamera)vp.Camera;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DateTime dt = DateTime.Now;
            
            textBox1.Text = dt.ToString();
        }

        private void slider1_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {

            textBox1.Text = slider1.Value.ToString();

            Double x, z;
            x = Math.Sin(slider1.Value * Math.PI / 2);
            z = Math.Cos(slider1.Value * Math.PI / 2);

            Point3D p;
            p = cam.Position;
            p.X = x * camR;
            p.Z = z * camR;
            cam.Position = p;

            Vector3D v;
            v = cam.LookDirection;
            v.X = -x * camR;
            v.Z = -z * camR;
            cam.LookDirection = v;
        }
    }
}
